Endpoint Map
Map Swipelux product concepts and flows to API reference operations.
Use this map when you know the product flow and need the matching API operation.
Customers And Verification
| Operation | Use case | Guide |
|---|---|---|
POST /v1/customers | Create individual customer | Individuals |
POST /v1/customers/business | Create business customer | Businesses |
POST /v1/customers/{id}/kyc | Start KYC | Individual onboarding |
POST /v1/customers/business/{id}/kyb | Submit KYB | Business onboarding |
Wallets And Accounts
| Operation | Use case | Guide |
|---|---|---|
POST /v1/customers/{customerId}/wallets | Create wallets | Wallets |
GET /v1/customers/{id}/balances | Retrieve balances | Wallets |
POST /v1/customers/{customerId}/accounts | Create virtual bank account | Virtual accounts |
POST /v1/customers/{customerId}/accounts/import | Import external account | First-party payouts |
Rails And Money Movement
| Operation | Use case | Guide |
|---|---|---|
POST /v1/customers/{customerId}/rails | Request rail verification | Jurisdiction framework |
POST /v1/payin/quote | Quote pay-in | Pooled pay-ins |
POST /v1/payin | Execute pay-in | Receive funds |
POST /v1/payout/quote | Quote payout | Send funds |
POST /v1/payout | Execute payout | Send funds |
GET /v1/transfers/{id} | Track transfer | Transfers |
Recipients, Webhooks, And Metadata
| Operation | Use case | Guide |
|---|---|---|
POST /v1/customers/{customerId}/recipients | Create recipient | Recipient payouts |
POST /v1/customers/{customerId}/recipients/{recipientId}/accounts | Create recipient account | Recipient payouts |
PATCH /v1/webhooks | Configure webhooks | Webhooks |
GET /v1/meta/rails | View supported rail catalog | Supported rails |
GET /v1/rate/{baseCurrency}/{quoteCurrency} | Retrieve FX rate | Rates |